org.apache.ignite.internal.processors.cache.persistence.wal.scanner

## Interface ScannerHandler

All Known Implementing Classes:
  PrintRawToFileHandler

    public interface ScannerHandler

Scanner handler which provide ability to do some handling on each record during iteration.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`default ScannerHandler` `andThen(ScannerHandler then)` Execute 'then' handler after 'this'.
`default void` `finish()` Method which called after all iteration would be finished.
`void` `handle(IgniteBiTuple<WALPointer,WALRecord> record)` Handling one more record during iteration over WAL.
`static String` `toStringRecord(WALRecord walRecord)` Make string from given wal record.

### Method Detail

#### handle

    void handle(IgniteBiTuple<WALPointer,WALRecord> record)

Handling one more record during iteration over WAL.

Parameters:
  `record` - One more record from WAL.

#### finish

    default void finish()

Method which called after all iteration would be finished.

#### andThen

    default ScannerHandler andThen(ScannerHandler then)

Execute 'then' handler after 'this'.

Parameters:
  `then` - Next handler for execution.
Returns:
  Composite handler.

#### toStringRecord

    static String toStringRecord(WALRecord walRecord)

Make string from given wal record.

Parameters:
  `walRecord` - Source WAL record.
Returns:
  Representation of WAL record.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021